DVCSCertInfo (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.dvcs

## Class DVCSCertInfo

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.dvcs.DVCSCertInfo

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class DVCSCertInfo
      extends ASN1Object

           DVCSCertInfo::= SEQUENCE  {
               version             Integer DEFAULT 1 ,
               dvReqInfo           DVCSRequestInformation,
               messageImprint      DigestInfo,
               serialNumber        Integer,
               responseTime        DVCSTime,
               dvStatus            [0] PKIStatusInfo OPTIONAL,
               policy              [1] PolicyInformation OPTIONAL,
               reqSignature        [2] SignerInfos  OPTIONAL,
               certs               [3] SEQUENCE SIZE (1..MAX) OF
                                       TargetEtcChain OPTIONAL,
               extensions          Extensions OPTIONAL
           }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DVCSCertInfo(DVCSRequestInformation dvReqInfo, DigestInfo messageImprint, ASN1Integer serialNumber, DVCSTime responseTime)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TargetEtcChain[]` | `getCerts()`
    `DVCSRequestInformation` | `getDvReqInfo()`
    `PKIStatusInfo` | `getDvStatus()`
    `Extensions` | `getExtensions()`
    `static DVCSCertInfo` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static DVCSCertInfo` | `getInstance(java.lang.Object obj)`
    `DigestInfo` | `getMessageImprint()`
    `PolicyInformation` | `getPolicy()`
    `ASN1Set` | `getReqSignature()`
    `DVCSTime` | `getResponseTime()`
    `ASN1Integer` | `getSerialNumber()`
    `int` | `getVersion()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DVCSCertInfo

          public DVCSCertInfo(DVCSRequestInformation dvReqInfo,
                              DigestInfo messageImprint,
                              ASN1Integer serialNumber,
                              DVCSTime responseTime)

  - ### Method Detail

    - #### getInstance

          public static DVCSCertInfo getInstance(java.lang.Object obj)

    - #### getInstance

          public static DVCSCertInfo getInstance(ASN1TaggedObject obj,
                                                 boolean explicit)

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getVersion

          public int getVersion()

    - #### getDvReqInfo

          public DVCSRequestInformation getDvReqInfo()

    - #### getMessageImprint

          public DigestInfo getMessageImprint()

    - #### getSerialNumber

          public ASN1Integer getSerialNumber()

    - #### getResponseTime

          public DVCSTime getResponseTime()

    - #### getDvStatus

          public PKIStatusInfo getDvStatus()

    - #### getPolicy

          public PolicyInformation getPolicy()

    - #### getReqSignature

          public ASN1Set getReqSignature()

    - #### getCerts

          public TargetEtcChain[] getCerts()

    - #### getExtensions

          public Extensions getExtensions()